-- Contains the localized friendly names of key codes used in the game
-- Key codes must be in hex and match the Windows VK codes

properKeyNames = {
    ['LeftMouse'] = '<LOC properkeyname_0000>Left Mouse',
    ['RightMouse'] = '<LOC properkeyname_0001>Right Mouse',
    ['Cancel'] = '<LOC properkeyname_0002>Cancel',
    ['MiddleMouse'] = '<LOC properkeyname_0003>Middle Mouse',
    ['Backspace'] = '<LOC properkeyname_0004>Backspace',
    ['Tab'] = '<LOC properkeyname_0005>Tab',
    ['Clear'] = '<LOC properkeyname_0006>Clear',
    ['Enter'] = '<LOC properkeyname_0007>Enter', -- change Enter at your own peril] = '<LOC properkeyname_0008>', it's handled specially to open the chat window
    ['Shift'] = '<LOC properkeyname_0009>Shift',
    ['Ctrl'] = '<LOC properkeyname_0010>Ctrl',
    ['Alt'] = '<LOC properkeyname_0011>Alt',
    ['Pause'] = '<LOC properkeyname_0012>Pause',
    ['CapsLock'] = '<LOC properkeyname_0013>Caps Lock',
    ['ImeHangulMode'] = '<LOC properkeyname_0014>ImeHangulMode',
    ['ImeJunjaMode'] = '<LOC properkeyname_0015>ImeJunjaMode',
    ['ImeFinalMode'] = '<LOC properkeyname_0016>ImeFinalMode',
    ['ImeKanjiMode'] = '<LOC properkeyname_0017>ImeKanjiMode',
    ['Esc'] = '<LOC properkeyname_0018>Escape',
    ['ImeConvert'] = '<LOC properkeyname_0019>ImeConvert',
    ['ImeNonConvert'] = '<LOC properkeyname_0020>ImeNonConvert',
    ['ImeAccept'] = '<LOC properkeyname_0021>ImeAccept',
    ['ImeModeChange'] = '<LOC properkeyname_0022>ImeModeChange',
    ['Space'] = '<LOC properkeyname_0023>Spacebar',
    ['PageUp'] = '<LOC properkeyname_0024>Page Up',
    ['PageDown'] = '<LOC properkeyname_0025>Page Down',
    ['End'] = '<LOC properkeyname_0026>End',
    ['Home'] = '<LOC properkeyname_0027>Home',
    ['LeftArrow'] = '<LOC properkeyname_0028>Left Arrow',
    ['UpArrow'] = '<LOC properkeyname_0029>Up Arrow',
    ['RightArrow'] = '<LOC properkeyname_0030>Right Arrow',
    ['DownArrow'] = '<LOC properkeyname_0031>Down Arrow',
    ['Select'] = '<LOC properkeyname_0032>Select',
    ['Print'] = '<LOC properkeyname_0033>Print',
    ['Execute'] = '<LOC properkeyname_0034>Execute',
    ['PrintScreen'] = '<LOC properkeyname_0035>Print Screen',
    ['Insert'] = '<LOC properkeyname_0036>Insert',
    ['Delete'] = '<LOC properkeyname_0037>Delete',
    ['Help'] = '<LOC properkeyname_0038>Help',
    ['0'] = '<LOC properkeyname_0039>0',
    ['1'] = '<LOC properkeyname_0040>1',
    ['2'] = '<LOC properkeyname_0041>2',
    ['3'] = '<LOC properkeyname_0042>3',
    ['4'] = '<LOC properkeyname_0043>4',
    ['5'] = '<LOC properkeyname_0044>5',
    ['6'] = '<LOC properkeyname_0045>6',
    ['7'] = '<LOC properkeyname_0046>7',
    ['8'] = '<LOC properkeyname_0047>8',
    ['9'] = '<LOC properkeyname_0048>9',
    ['A'] = '<LOC properkeyname_0049>A',
    ['B'] = '<LOC properkeyname_0050>B',
    ['C'] = '<LOC properkeyname_0051>C',
    ['D'] = '<LOC properkeyname_0052>D',
    ['E'] = '<LOC properkeyname_0053>E',
    ['F'] = '<LOC properkeyname_0054>F',
    ['G'] = '<LOC properkeyname_0055>G',
    ['H'] = '<LOC properkeyname_0056>H',
    ['I'] = '<LOC properkeyname_0057>I',
    ['J'] = '<LOC properkeyname_0058>J',
    ['K'] = '<LOC properkeyname_0059>K',
    ['L'] = '<LOC properkeyname_0060>L',
    ['M'] = '<LOC properkeyname_0061>M',
    ['N'] = '<LOC properkeyname_0062>N',
    ['O'] = '<LOC properkeyname_0063>O',
    ['P'] = '<LOC properkeyname_0064>P',
    ['Q'] = '<LOC properkeyname_0065>Q',
    ['R'] = '<LOC properkeyname_0066>R',
    ['S'] = '<LOC properkeyname_0067>S',
    ['T'] = '<LOC properkeyname_0068>T',
    ['U'] = '<LOC properkeyname_0069>U',
    ['V'] = '<LOC properkeyname_0070>V',
    ['W'] = '<LOC properkeyname_0071>W',
    ['X'] = '<LOC properkeyname_0072>X',
    ['Y'] = '<LOC properkeyname_0073>Y',
    ['Z'] = '<LOC properkeyname_0074>Z',
    ['LeftWindows'] = '<LOC properkeyname_0075>Left Windows',
    ['RightWindows'] = '<LOC properkeyname_0076>Right Windows',
    ['Applications'] = '<LOC properkeyname_0077>Applications',
    ['Sleep'] = '<LOC properkeyname_0078>Sleep',
    ['Num0'] = '<LOC properkeyname_0079>Numpad 0',
    ['Num1'] = '<LOC properkeyname_0080>Numpad 1',
    ['Num2'] = '<LOC properkeyname_0081>Numpad 2',
    ['Num3'] = '<LOC properkeyname_0082>Numpad 3',
    ['Num4'] = '<LOC properkeyname_0083>Numpad 4',
    ['Num5'] = '<LOC properkeyname_0084>Numpad 5',
    ['Num6'] = '<LOC properkeyname_0085>Numpad 6',
    ['Num7'] = '<LOC properkeyname_0086>Numpad 7',
    ['Num8'] = '<LOC properkeyname_0087>Numpad 8',
    ['Num9'] = '<LOC properkeyname_0088>Numpad 9',
    ['NumStar'] = '<LOC properkeyname_0089>Numpad Star',
    ['NumPlus'] = '<LOC properkeyname_0090>Numpad Plus',
    ['Separator'] = '<LOC properkeyname_0091>Separator',
    ['NumMinus'] = '<LOC properkeyname_0092>Numpad Minus',
    ['NumPeriod'] = '<LOC properkeyname_0093>Numpad Period',
    ['NumSlash'] = '<LOC properkeyname_0094>Numpad Slash',
    ['F1'] = '<LOC properkeyname_0095>F1',
    ['F2'] = '<LOC properkeyname_0096>F2',
    ['F3'] = '<LOC properkeyname_0097>F3',
    ['F4'] = '<LOC properkeyname_0098>F4',
    ['F5'] = '<LOC properkeyname_0099>F5',
    ['F6'] = '<LOC properkeyname_0100>F6',
    ['F7'] = '<LOC properkeyname_0101>F7',
    ['F8'] = '<LOC properkeyname_0102>F8',
    ['F9'] = '<LOC properkeyname_0103>F9',
    ['F10'] = '<LOC properkeyname_0104>F10',
    ['F11'] = '<LOC properkeyname_0105>F11',
    ['F12'] = '<LOC properkeyname_0106>F12',
    ['F13'] = '<LOC properkeyname_0107>F13',
    ['F14'] = '<LOC properkeyname_0108>F14',
    ['F15'] = '<LOC properkeyname_0109>F15',
    ['F16'] = '<LOC properkeyname_0110>F16',
    ['F17'] = '<LOC properkeyname_0111>F17',
    ['F18'] = '<LOC properkeyname_0112>F18',
    ['F19'] = '<LOC properkeyname_0113>F19',
    ['F20'] = '<LOC properkeyname_0114>F20',
    ['F21'] = '<LOC properkeyname_0115>F21',
    ['F22'] = '<LOC properkeyname_0116>F22',
    ['F23'] = '<LOC properkeyname_0117>F23',
    ['F24'] = '<LOC properkeyname_0118>F24',
    ['NumLock'] = '<LOC properkeyname_0119>Num Lock',
    ['ScrollLock'] = '<LOC properkeyname_0120>Scroll Lock',
    ['LeftShift'] = '<LOC properkeyname_0121>Left Shift',
    ['RightShift'] = '<LOC properkeyname_0122>Right Shift',
    ['LeftCtrl'] = '<LOC properkeyname_0123>Left Control',
    ['RightCtrl'] = '<LOC properkeyname_0124>Right Control',
    ['LeftAlt'] = '<LOC properkeyname_0125>Left Alt',
    ['RightAlt'] = '<LOC properkeyname_0126>Right Alt',
    ['BrowserBack'] = '<LOC properkeyname_0127>Browser Back',
    ['BrowserForward'] = '<LOC properkeyname_0128>Browser Forward',
    ['BrowserRefresh'] = '<LOC properkeyname_0129>Browser Refresh',
    ['BrowserStop'] = '<LOC properkeyname_0130>Browser Stop',
    ['BrowserSearch'] = '<LOC properkeyname_0131>Browser Search',
    ['BrowserFavorites'] = '<LOC properkeyname_0132>Browser Favorites',
    ['BrowserHome'] = '<LOC properkeyname_0133>Browser Home',
    ['VolumeMute'] = '<LOC properkeyname_0134>Volume Mute',
    ['VolumeDown'] = '<LOC properkeyname_0135>Volume Down',
    ['VolumeUp'] = '<LOC properkeyname_0136>Volume Up',
    ['MediaNextTrack'] = '<LOC properkeyname_0137>Media Next Track',
    ['MediaPrevTrack'] = '<LOC properkeyname_0138>Media Previous Track',
    ['MediaStop'] = '<LOC properkeyname_0139>Media Stop',
    ['MediaPlayPause'] = '<LOC properkeyname_0140>Media Play Pause',
    ['LaunchMail'] = '<LOC properkeyname_0141>Launch Mail',
    ['LaunchMediaSelect'] = '<LOC properkeyname_0142>Launch Media Select',
    ['Semicolon'] = '<LOC properkeyname_0143>Semicolon',
    ['Equals'] = '<LOC properkeyname_0144>Equals',
    ['Comma'] = '<LOC properkeyname_0145>Comma',
    ['Minus'] = '<LOC properkeyname_0146>Minus',
    ['Period'] = '<LOC properkeyname_0147>Period',
    ['Slash'] = '<LOC properkeyname_0148>Slash',
    ['Tilde'] = '<LOC properkeyname_0149>Tilde',
    ['MWheelUp'] = '<LOC properkeyname_0150>Mouse Wheel Up',
    ['MWheelDown'] = '<LOC properkeyname_0151>Mouse Wheel Down',
    ['LeftBracket'] = '<LOC properkeyname_0152>Left Bracket',
    ['Backslash'] = '<LOC properkeyname_0153>Backslash',
    ['RightBracket'] = '<LOC properkeyname_0154>Right Bracket',
    ['Quote'] = '<LOC properkeyname_0155>Quote',
    ['ImeProcess'] = '<LOC properkeyname_0156>ImeProcess',
    ['UnicodePacket'] = '<LOC properkeyname_0157>Unicode Packet',
    ['Attn'] = '<LOC properkeyname_0158>Attn',
    ['CrSel'] = '<LOC properkeyname_0159>CrSel',
    ['ExSel'] = '<LOC properkeyname_0160>ExSel',
    ['EraseEOF'] = '<LOC properkeyname_0161>EraseEOF',
    ['Play'] = '<LOC properkeyname_0162>Play',
    ['Zoom'] = '<LOC properkeyname_0163>Zoom',
    ['PA1'] = '<LOC properkeyname_0164>PA1',
    ['OemClear'] = '<LOC properkeyname_0165>OemClear',
}
